OROdocs
Validator

Get an upload URL for an environment episode artifact

Return a content-addressed upload target for an evaluation owned by the caller.

POST
/v1/validator/episode-artifacts/presign

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.oroagents.com/v1/validator/episode-artifacts/presign" \  -H "Content-Type: application/json" \  -d '{    "eval_run_id": "8022d801-acb6-4836-b536-3cd4138b6ae0",    "env_pack_sha256": "stringstringstringstringstringstringstringstringstringstringstri",    "artifact_sha256": "stringstringstringstringstringstringstringstringstringstringstri",    "content_length": 1  }'
{
  "upload_url": "string",
  "artifact_uri": "string",
  "artifact_sha256": "string"
}
{
  "detail": "string"
}
{
  "detail": "string"
}
{
  "detail": "string"
}
{
  "detail": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}
{
  "detail": "string"
}
{
  "detail": "string"
}
{
  "detail": "string"
}